classification
Title: IDLE should not open multiple instances of one file
Type: behavior Stage: resolved
Components: IDLE Versions: Python 2.7
process
Status: closed Resolution: wont fix
Dependencies: Superseder:
Assigned To: Nosy List: THRlWiTi, terry.reedy
Priority: normal Keywords:

Created on 2014-05-30 14:40 by THRlWiTi, last changed 2014-06-02 02:08 by terry.reedy. This issue is now closed.

Messages (4)
msg219392 - (view) Author: Thrlwiti (THRlWiTi) * Date: 2014-05-30 14:40
Currently users can open multiple instances of one file in IDLE. Sometimes this leads to confusion and may cause loss of data. I'm not aware of any benefits of this behavior and I think it's better to be prevented by IDLE.

Here are the steps to recreate the situation:
1. Create a file named "xyz.py"
2. Right-click on the file and open it with IDLE
3. Add some text
4. Goto 2.
5. Save and close both open IDLE windows.
(Your work on the first saved file will be lost.)
msg219531 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2014-06-01 22:44
Your report is a bit vague. Idle is supposed to only open a file once in a particular Idle process. If you have seen otherwise (but see below first), please complete the report: OS, exact Python version (x.y.z), exactly what you did.

If you right-clicked in a file browser, then you open the file in a new idle process each time. This is routine and the issue should be closed.
msg219540 - (view) Author: Thrlwiti (THRlWiTi) * Date: 2014-06-02 00:46
Yes, I am right-clicking the file through Windows Explorer as in some situations it seems much faster. (Opening through IDLE's file menu in a particular process works fine)

If this is supposed to be so please close the issue. Although I don't understand why one would want this feature. This is not the case when I use Adobe Reader to open a pdf file, Notepad++ to open a text file, or MS Word to open a .doc file.

I'm using Windows 8 x64/Python 2.7.6 (32 bit version)
msg219544 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2014-06-02 02:08
Notepad++, for instance (which I use), has one version installed, multiple panes, and only allows one instance to run. It matches Idle in only allowing a file to be opened in one process, which happens to be the only process.

Idle, by contrast, can have multiple versions (and I do), multiple instances of one version, and, at the moment, one file per window. I sometimes open a file with multiple versions to test. Yes, I have to be careful if I want to make a change. One person did not like the title bar change because it is bad for how he uses Idle, which is to open one file per process on Win7 in order to have a separate task bar icon for each, just like on XP. If one is doing something that might crash Idle (once all too common, now mostly fixed), a separate process makes sense.
History
Date User Action Args
2014-06-02 02:08:03terry.reedysetstatus: open -> closed
resolution: wont fix
messages: + msg219544

stage: resolved
2014-06-02 00:46:08THRlWiTisettype: behavior
messages: + msg219540
versions: + Python 2.7
2014-06-01 22:44:36terry.reedysetnosy: + terry.reedy
messages: + msg219531
2014-05-30 14:41:28THRlWiTisettitle: IDLE should should not open multiple instances of one file -> IDLE should not open multiple instances of one file
2014-05-30 14:40:39THRlWiTicreate